Page MenuHomePhabricator

Run CiviCRM testing scripts during CI
Closed, ResolvedPublic1 Story Points

Description

Need review of https://gerrit.wikimedia.org/r/#/c/158554/

The steps to run our tests are,

  • Run integration-jenkins/bin/civi-ci-create-dbs.sh
  • Clone wikimedia/fundraising/crm and civicrm-buildkit repos at patchset to test.
  • Run integration-jenkins/bin/civi-ci-populate-dbs.sh, which calls civicrm-buildkit magic.

First, get set up enough to run these steps from a manually created Jenkins job.

Then, create a jenkins-job-builder config and invoke for patchsets on the crm repo.

Event Timeline

awight set Security to None.
awight edited a custom field.

Change 195042 had a related patch set uploaded (by Awight):
Run CRM phpunit tests (non-voting)

https://gerrit.wikimedia.org/r/195042

Change 195042 merged by jenkins-bot:
Run CRM phpunit tests (non-voting)

https://gerrit.wikimedia.org/r/195042

awight closed this task as Resolved.Mar 7 2015, 11:40 PM
awight moved this task from Pending Deployment to Done on the Fundraising Sprint Flaming Lips board.
awight edited a custom field.
greg moved this task from INBOX to Done on the Release-Engineering-Team board.Mar 16 2015, 3:41 PM

@hashar: Thanks for all your help on this! I wanted to mention that T91895 is still waiting for CR, the most important issue being that we aren't running the new job on CRM submodule changes yet, so I cannot confirm it works, and enable voting. Hopefully this last bit will make it onto the releng workboard...

mmodell removed a subscriber: awight.Jun 22 2017, 9:52 PM